SDL_HINT_RENDER_DIRECT3D_THREADSAFE(3)

NAME
SDL_HINT_RENDER_DIRECT3D_THREADSAFE - A variable controlling whether the Direct3D device is initialized for thread-safe operations.

SYNOPSIS
#include <SDL3/SDL_hints.h>

#define SDL_HINT_RENDER_DIRECT3D_THREADSAFE "SDL_RENDER_DIRECT3D_THREADSAFE"

DESCRIPTION
The variable can be set to the following values:

• "0": Thread-safety is not enabled. (default)

• "1": Thread-safety is enabled.

This hint should be set before creating a renderer.

AVAILABILITY
This hint is available since SDL 3.2.0.